miércoles, 21 de enero de 2009

VirtualBox 2.1.0



Despues de escuchar buenos comentarios acerca de la "nueva" version liberada Virtualbox 2.1.0, decidi probarla, aqui mis impresiones.

Generalmente era un drama como hacer que se "vean" la maquina virtual y el host, para gente no acostumbrada a leer, habia que configurar las interfaces virtuales el tun tap hacer un bridge para realizar el milagro, pero bueno con esta nueva version se acabo eso, al igual que el vmware te facilita la comunicacion entre la maquina virtual y el host pues bien virtualbox hizo un gran paso a mi parecer eso ya ameritaba un cambio de version de la 2 a 3.

Aqui los pasos.

Descargamos el paquete deb en mi caso la version lenny 64bits de la pagina oficial

# dpkg -i virtualbox-2.1_2.1.0-41146_Debian_lenny_amd64.deb
Seleccionando el paquete virtualbox-2.1 previamente no seleccionado.
(Leyendo la base de datos ...
134912 ficheros y directorios instalados actualmente.)
Desempaquetando virtualbox-2.1 (de virtualbox-2.1_2.1.0-41146_Debian_lenny_amd64.deb) ...
dpkg: problemas de dependencias impiden la configuración de virtualbox-2.1:
virtualbox-2.1 depende de libqt4-network (>= 4.4.3); sin embargo:
El paquete `libqt4-network' no está instalado.
virtualbox-2.1 depende de libqtcore4 (>= 4.4.3); sin embargo:
El paquete `libqtcore4' no está instalado.
virtualbox-2.1 depende de libqtgui4 (>= 4.4.3); sin embargo:
El paquete `libqtgui4' no está instalado.
dpkg: error al procesar virtualbox-2.1 (--install):
problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
virtualbox-2.1
#

No tengo los paquetes instalados pues los instalo

# apt-get install libqtgui4
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libqtgui4: Depende: libqtcore4 (= 4.4.3-1) pero no va a instalarse
Recomienda: qt4-qtconfig pero no va a instalarse
virtualbox-2.1: Depende: libqt4-network (>= 4.4.3) pero no va a instalarse
Depende: libqtcore4 (>= 4.4.3) pero no va a instalarse
Recomienda: libsdl-ttf2.0-0 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

Apt-get te da una alternativa

# apt-get -f install
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
Se instalaron de forma automática los siguientes paquetes y ya no son necesarios.
libmudflap0-dev libmudflap0 perl-doc
Utilice «apt-get autoremove» para eliminarlos.
Se instalarán los siguientes paquetes extras:
libqt4-dbus libqt4-designer libqt4-network libqt4-qt3support libqt4-script
libqt4-sql libqt4-sql-mysql libqt4-xml libqtcore4 libqtgui4 qt4-qtconfig
Paquetes sugeridos:
libqt4-dev
Se instalarán los siguientes paquetes NUEVOS:
libqt4-dbus libqt4-designer libqt4-network libqt4-qt3support libqt4-script
libqt4-sql libqt4-sql-mysql libqt4-xml libqtcore4 libqtgui4 qt4-qtconfig
0 actualizados, 11 se instalarán, 0 para eliminar y 1 no actualizados.
1 no instalados del todo o eliminados.
Necesito descargar 11.4MB de archivos.
Se utilizarán 30.2MB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? s

Listo ya tienes instalado el virtualbox.



Ahora a probar lo nuevo de virtualbox.

Creamos nuestra maquina virtual, y nos vamos a configuracion, y veremos una imagen similar a esta.



Se puede observar que adjuntamos a la interface anfitrion y seleccionamos eth0, con eso ya tenemos conexion entre la vm y el host.

Saludos

2 comentarios:

Matías Coca dijo...

mira yo tengo debian lenny 64 como host y como guest, la cuestión es que configuro en red "interfase anfitrión" y elijo eth0 y no pasa nada, la máquina guest no me permite conectarme a internet y no se como puedo conectarme entre una máquina y otra, en el guest me da el ip 169.254.35.19
Desde ya muchas gracias y espero que me puedan ayudar..

Victor Muchica dijo...

Con la version 2.1.0 deberias tener acceso en todo caso intenta con la 2.1.2

prueba tambien reiniciando tu interface virtual dentro del guest, al principio tuve problemas despues todo anduvo sobre ruedas

Saludos